com.pivotal.gemfirexd.internal.client.am

## Interface ConnectionCallbackInterface

All Known Implementing Classes:
  Connection, NetConnection, NetConnection40

    public interface ConnectionCallbackInterface

### Method Summary

Methods
`void` `completeAbnormalUnitOfWork()`
`void` `completeAbnormalUnitOfWork(UnitOfWorkListener uwl)` Rollback the UnitOfWorkListener specifically.
`void` `completeChainBreakingDisconnect()`
`void` `completeLocalCommit()`
`void` `completeLocalRollback()`
`void` `completePiggyBackIsolation(int pbIsolation)` Completes piggy-backing of the new current isolation level by updating the cached copy in am.Connection.
`void` `completePiggyBackSchema(String pbSchema)` Completes piggy-backing of the new current schema by updating the cached copy in am.Connection.
`void` `completeSqlca(Sqlca e)`

### Method Detail

#### completeLocalCommit

    void completeLocalCommit()

#### completeLocalRollback

    void completeLocalRollback()

#### completeAbnormalUnitOfWork

    void completeAbnormalUnitOfWork()

#### completeChainBreakingDisconnect

    void completeChainBreakingDisconnect()

#### completeSqlca

    void completeSqlca(Sqlca e)

#### completeAbnormalUnitOfWork

    void completeAbnormalUnitOfWork(UnitOfWorkListener uwl)

Rollback the UnitOfWorkListener specifically.

Parameters:
  `uwl` - The UnitOfWorkListener to be rolled back.

#### completePiggyBackIsolation

    void completePiggyBackIsolation(int pbIsolation)

Completes piggy-backing of the new current isolation level by updating the cached copy in am.Connection.

Parameters:
  `pbIsolation` - new isolation level from the server

#### completePiggyBackSchema

    void completePiggyBackSchema(String pbSchema)

Completes piggy-backing of the new current schema by updating the cached copy in am.Connection.

Parameters:
  `pbSchema` - new current schema from the server